Bug 134648 - Saving doesn't prompt to overwrite
Saving doesn't prompt to overwrite
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
Blocks: 131589
  Show dependency treegraph
Reported: 2004-10-05 09:14 EDT by Phil Anderson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-04 11:38:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Phil Anderson 2004-10-05 09:14:51 EDT
Description of problem:
Firefox (with the new GTK file chooser) doesn't prompt to overwrite
files when saving.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Save a file/page/anything in firefox.  
2. Save something else in the same place
Actual results:
It overwrites without prompting

Expected results:
It should prompt to overwrite
Comment 1 Phil Anderson 2004-10-16 03:05:06 EDT
Still happening with firefox-0.10.1-1.0PR1.10.

Is this an upstream bug?  Or is it a problem Redhat's back ported gtk
file chooser?
Comment 2 Christopher Aillon 2004-10-16 03:27:31 EDT
It's a double upstream bug technically... GTK+ has a bug filed on it
to handle this automatically, but in the meantime, Firefox should do
it itself.  I originally wrote the upstream file chooser support, and
plan to have this fixed over the weekend.
Comment 3 Christopher Aillon 2004-10-20 03:32:26 EDT
It now prompts, but the file chooser goes away if you don't want to
overwrite which i think sucks.  I'll fix that in a future update.
Comment 4 Thomas Woerner 2005-05-04 06:42:04 EDT
This is happening again in FC-4 and FC3-updates.
Comment 5 Christopher Aillon 2005-05-04 11:38:58 EDT
It works fine for me... Make sure your prefs are properly set. 
Edit>Preferences>Downloads>Ask me where to save every file.

Re-resolving RAWHIDE.  This code fix is still there, so a new bug would be
appreciated if you still think its really a regression since it would certainly
be a different issue.

Note You need to log in before you can comment on or make changes to this bug.